#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

# Setup script for make

__version__ = "$Revision: 1.28 $"[11:-2]
# $Source: /data/cvsroot/LivingLogic/Python/make/setup.py,v $

from distutils.core import setup
import textwrap

DESCRIPTION = """
ll-make is an object oriented make replacement. Like make it allows you
to specify dependencies between files and actions to be executed
when files don't exist or are out of date with respect to one
of their sources. But unlike make you can do this in a object oriented
way and targets are not only limited to files, but you can implement
e.g. dependencies on database records.
"""

CLASSIFIERS="""
Development Status :: 5 - Production/Stable
Intended Audience :: Developers
License :: OSI Approved :: Python License (CNRI Python License)
Operating System :: OS Independent
Programming Language :: Python
Topic :: Software Development :: Build Tools
"""

KEYWORDS = """
make
build
"""

DESCRIPTION = "\n".join(textwrap.wrap(DESCRIPTION.strip(), width=64, replace_whitespace=True))

setup(
	name="ll-make",
	version="0.11.3",
	description="Object oriented make replacement",
	long_description=DESCRIPTION,
	author="Walter Doerwald",
	author_email="walter@livinglogic.de",
	url="http://www.livinglogic.de/Python/make/",
	download_url="http://www.livinglogic.de/Python/make/Download.html",
	license="Python",
	classifiers=CLASSIFIERS.strip().splitlines(),
	keywords=",".join(KEYWORDS.strip().splitlines()),
	py_modules=['ll.make'],
	package_dir={"ll": ""}
)
